common:
  api_name: vision
  api_version: v1
  organization_name: google-cloud
  service_yaml: vision.yaml
  gapic_yaml: v1/vision_gapic.yaml
  src_proto_paths:
  - v1
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-vision-v1
    - name: grpc
      dest: generated/java/grpc-google-cloud-vision-v1
    - name: proto
      dest: generated/java/proto-google-cloud-vision-v1
  - name: java
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-java.git
    directory_mappings:
    - dest: google-cloud-vision
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  release_level: BETA
  package_version:
    grpc_dep_lower_bound: 0.90.3
    grpc_dep_upper_bound: 0.91dev
  publish_targets:
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/vision_v1
      dest: vision/google/cloud/vision_v1
    - src: tests/unit/gapic/v1
      dest: vision/tests/gapic
    - name: grpc
      src: google/cloud/proto
      dest: vision/google/cloud/proto
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-vision-v1
    - name: grpc
      dest: generated/python/proto-google-cloud-vision-v1
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-vision-v1
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-vision
  - name: ruby
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-ruby.git
    directory_mappings:
    - src: lib/google/cloud/vision/v1
      dest: google-cloud-vision/lib/google/cloud/vision/v1
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-vision-v1/vendor
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: vision/apiv1
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  release_level: BETA
  package_version:
    grpc_dep_lower_bound: 0.12.0
  publish_targets:
  - name: nodejs
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-node.git
    directory_mappings:
    - src: src/v1
      dest: packages/vision/src/v1
    - src: test/test.js
      dest: packages/vision/test/gapic-v1.js
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/vision
- name: gapic_config
  type: GAPIC_CONFIG
